/*
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.l2jfree.gameserver.model.base;

/**
 * @author Tempy
 */
public enum ClassType
{
	Fighter,
	Mystic,
	Priest,
	Summoner;
	
	public boolean isMage()
	{
		switch (this)
		{
			case Fighter:
				return false;
			case Mystic:
			case Priest:
			case Summoner:
				return true;
			default:
				throw new InternalError();
		}
	}
	
	public boolean isSummoner()
	{
		switch (this)
		{
			case Fighter:
			case Mystic:
			case Priest:
				return false;
			case Summoner:
				return true;
			default:
				throw new InternalError();
		}
	}
	
	public ClassType getTeachType()
	{
		switch (this)
		{
			case Fighter:
			case Mystic:
			case Priest:
				return this;
			case Summoner:
				return Mystic;
			default:
				throw new InternalError();
		}
	}
}
