/*
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.l2jfree.gameserver.network.clientpackets;

public final class RequestAuthSequence extends L2GameClientPacket
{
    private int _version;

    @Override
	protected void readImpl()
    {
        _version = readD();
    }

    @Override
	protected void runImpl()
    {
        _log.warn("Requested unknown auth sequence with " + _version + " protocol. Closing connection.");
        getClient().closeNow();
    }

    @Override
	public String getType()
    {
        return "RequestAuthSequence";
    }
}
