/*
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.l2jfree.gameserver.network.clientpackets;

import com.l2jfree.gameserver.instancemanager.BoatManager;
import com.l2jfree.gameserver.model.actor.instance.L2BoatInstance;
import com.l2jfree.gameserver.model.actor.instance.L2PcInstance;
import com.l2jfree.gameserver.network.serverpackets.ActionFailed;
import com.l2jfree.gameserver.network.serverpackets.GetOffVehicle;

/**
 * @author Maktakien
 */
public class RequestGetOffVehicle extends L2GameClientPacket
{
	private static final String _C__5D_GETOFFVEHICLE = "[C] 5d GetOffVehicle";

    private int _id, _x, _y, _z;

    @Override
    protected void readImpl()
    {
        _id  = readD();
        _x  = readD();
        _y  = readD();
        _z  = readD();
    }

    @Override
    protected void runImpl()
    {
        L2PcInstance activeChar = getClient().getActiveChar();
        if (activeChar == null) return;

        L2BoatInstance boat = BoatManager.getInstance().getBoat(_id);
        if (boat != null)
        {
        	GetOffVehicle gov = new GetOffVehicle(activeChar, boat, _x, _y, _z);
        	activeChar.broadcastPacket(gov);
        }

        sendPacket(ActionFailed.STATIC_PACKET);
    }

    @Override
    public String getType()
    {
        return _C__5D_GETOFFVEHICLE;
    }
}
